Package org.apache.jorphan.gui.ui

# Class TextFieldUIWithUndo

java.lang.Object
org.apache.jorphan.gui.ui.TextFieldUIWithUndo

@API(since="5.3", status=EXPERIMENTAL) public class TextFieldUIWithUndo extends Object
Installs undo for all `TextField` Swing components.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BACKUP_UI_CLASS`
  `static final String`
  `UI_CLASS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextFieldUIWithUndo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComponentUI`
  `createUI(JComponent c)`
  Creates a UI for a JTextField.
  `static void`
  `install(UIDefaults defaults)`
  Configures `UIDefaults` to use the patched class for `TextFieldUI`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UI_CLASS

    public static final String UI_CLASS
    See Also:
      - Constant Field Values

  - ### BACKUP_UI_CLASS

    public static final String BACKUP_UI_CLASS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TextFieldUIWithUndo

    public TextFieldUIWithUndo()

- ## Method Details

  - ### install

    public static void install(UIDefaults defaults)
    Configures `UIDefaults` to use the patched class for `TextFieldUI`.
    Parameters:
      `defaults` - look and feel defaults

  - ### createUI

    public static ComponentUI createUI(JComponent c)
    Creates a UI for a JTextField.

    Note: this method is called by Swing.

    Parameters:
      `c` - the text field
    Returns:
      the UI